#
# spec file for package tn5250 (Version 0.16.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp gppshare libgpp
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tn5250
Copyright:    Michael Madore
Group:        Applications/Networking
Provides:     tn5250 
Autoreqprov:  on
Version:      0.16.2
Release:      26
Summary:      5250 Emulator
Source:       tn5250-%{version}.tar.bz2
Source1:      README.SuSE
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

%description
The 5250 is most commonly used for connected to IBM's AS/400.  While one can
connect to an AS/400 with a VT100 emulator, it's not ideal.  The problem is
that the 5250 is a screen at a time terminal, whereas the VT100 is a character
at a time device.  The emulator uses the binary mode of telnet to transfer
the 5250 data stream.

Authors:
--------
    Michael Madore <mmadore@blarg.net>

SuSE series: xap

%prep
%setup
cp -p %{SOURCE1} .
DIR=$(find . -name configure -printf "%h\n")
%{?suse_update_config:%{suse_update_config -f $DIR }}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
 
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/bin/xt5250 $RPM_BUILD_ROOT/usr/X11R6/bin

%files
%doc BUGS COPYING README AUTHORS BUGS ChangeLog NEWS TODO XTerm README.SuSE
/usr/lib/lib5250.la
/usr/lib/lib5250.a
/usr/lib/lib5250.so
/usr/lib/lib5250.so.0
/usr/lib/lib5250.so.0.0.0
/usr/include/tn5250.h
/usr/include/tn5250
/usr/bin/scs2ascii
/usr/bin/tn5250
/usr/bin/tn5250-config
/usr/X11R6/bin/xt5250
%{_mandir}/man1/scs2ascii.1.gz
%{_mandir}/man1/tn5250.1.gz
/usr/share/tn5250

%changelog -n tn5250
* Fri Aug 24 2001 - poeml@suse.de
- update to 0.16.2: xt5250 does work now; better handling of
  OS/400 special function keys
- add the files AUTHORS, BUGS, ChangeLog, NEWS, TODO, XTerm to the
  documentation, and update README.SuSE
- drop the two patches (obsoleted)
- build in Buildroot
* Fri Mar 30 2001 - poeml@suse.de
- use suse_update_config macro to update automake, autoconf and
  libtool
- don't use #ifdef directives inside macro args (printf)
- rework README.SuSE
- bzip2'ed sources
* Thu Mar 22 2001 - poeml@suse.de
- add README.SuSE
* Wed Mar 07 2001 - poeml@suse.de
- add a patch that removes some assertions that will always fail if
  a strange character is encountered, e.g. in the linux boot logs
- fix RPM Group tag
* Tue Feb 01 2000 - ro@suse.de
- update to 0.15.6 to make it compile
  (adds manpages libs tools)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 07 1998 - hf@suse.de
- initial package
